Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jdesktop.swingx
Enum JXSearchField.LayoutStyle

    java.lang.Object
      java.lang.Enum<JXSearchField.LayoutStyle>
          org.jdesktop.swingx.JXSearchField.LayoutStyle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JXSearchField.LayoutStyle>

Enclosing class:
  JXSearchField

    public static enum JXSearchField.LayoutStyle

extends java.lang.Enum<JXSearchField.LayoutStyle>

Defines, how the find and cancel button are layouted.

Enum Constant Summary
`MAC` In MAC layout style, the find button is placed on the left side of the search field and the cancel button on the right side.
`VISTA` In VISTA layout style, the find button is placed on the right side of the search field.

Method Summary
`static JXSearchField.LayoutStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JXSearchField.LayoutStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VISTA

    public static final JXSearchField.LayoutStyle VISTA

  In VISTA layout style, the find button is placed on the right side of the search field. If text is entered, the find button is replaced by the cancel button when the actual search mode is `JXSearchField.SearchMode.INSTANT`. When the search mode is `JXSearchField.SearchMode.REGULAR` the find button will always stay visible and the cancel button will never be shown. However, 'Escape' can still be pressed to clear the text.

### MAC

    public static final JXSearchField.LayoutStyle MAC

  In MAC layout style, the find button is placed on the left side of the search field and the cancel button on the right side. The cancel button is only visible when text is present.

Method Detail

### values

    public static JXSearchField.LayoutStyle[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JXSearchField.LayoutStyle c : JXSearchField.LayoutStyle.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JXSearchField.LayoutStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.